pages.getInfo (socialNetwork.pages.getInfo)

Retrieve information from the page table for one or more pages

Customizing apps on profile pages

A profile page in bebo encapsulates any profile that can be reached via the url www.bebo.com/Profile.jsp?Member=[ID]. Pages include group profiles, band profiles, app profiles, networks, books, and channel/video profiles. The following is a list of valid page types:

  • Application
  • Band
  • Channel (i.e. Video)
  • Book
  • Group
  • Domain Network

Just like app modules can be placed and customized on member/user profiles, there are three standard ways to customize a module on a page: Api Methods, Snql Queries, and Snml Tags.

Main Api Methods

  • pages.getInfo
  • pages.isAppAdded
  • pages.isAdmin
  • pages.isFan
  • groups.get
  • groups.getMembers
  • bands.get
  • bands.getFans
  • bands.getInfo
  • bands.getMembers
  • profile.getSNML
  • profile.setSNML

Main Snql Tables

  • page
  • page_fan
  • group
  • group_member
  • band
  • band_fan
  • band_member

Main Snml Tags

  • sn:name
  • sn:grouplink
  • sn:pagelink
  • sn:visible-to-connection
  • sn:visible-to-fan
  • sn:visible-to-owner

Members/Users of an app are also fans the app. There are other applicable methods, tables, and tags but these are the major ones. (For example, just as with user profile pics, you can also get the profile picture of a page via snql or api). When making your api calls, snql queries or snml tags, the MemberId for the profile page (in the url www.bebo.com/Profile.jsp?MemberId=[ID]) is synonymous with the following names or arguments used in the api methods or snql query:

  • sn_page_id
  • fb_page_id (for compatibility with facebook's api)
  • gid (for a group profile page)
  • bid (for a band profile page)
  • pid or page_id (for a generic profile page)

HTTP variables to look for when we proxy your canvas pages

After enabling your apps to be on all profiles via the developerapp, you'll be able to add your app to just about any profile page (including your application's profile page). We will send your app the following signed POST parameters if the user visits the canvas page with the page id query parameter in the url (e.g. apps.bebo.com/myapp?sn_page_id=ID or apps.bebo.com/myapp?fb_page_id=ID):

  • fb_sig_page_added
  • fb_sig_page_id
  • fb_sig_type
  • fb_sig_is_fan
  • fb_sig_is_admin

These variables are all pretty self explanatory: "page_added" tells you if the page has added your app, "page_id" is the same page id passed in the url, "type" is the page type, "is_fan" denotes if the current user is a fan of the page, and "is_admin" tells you if the current user is a moderator of the page. You'll need to append the sn_page_id/fb_page_id query parameter to links inside your canvas pages whenever you want to render your canvas page on behalf of a page rather than the current user.

You can then use these variables and the api libraries to update a page's profile snml as appropriate. Only the admin of the page can perform an action on your canvas pages that result in an update to the app module on their page (via profile.setSNML). Like users, pages also have profile pictures and lots of other attributes that can still be queried with the original api methods and snql tables.

Parameters

  • Integer Array < optional> A comma separated list of page_id values
  • String Array < required> A comma separated list of fields from the page table to be included in the results
  • Integer < optional> The user id to return only pages for which the user is a fan of. Defaults to logged-in user.

Other parameters required to make this API method call

  • String < required> The api key of the current app.
  • String < required> The current user's session key.
  • Decimal < required> The sequence number for this request. This must be greater than the value provided for the previous call. Tip: Server time in milliseconds is ideal for this.
  • String < required> The signature for the current request.
  • String < required> Set this to 1.0 for now.
  • String < optional> Response format, accepts XML or JSON, default is XML.
  • String < optional> Generates a call to the callback containing the formatted results.